#ifndef __messagesendSometimes_XPCOPTIONS_H___
#define __messagesendSometimes_XPCOPTIONS_H___

#include "simstruc_types.h"
#ifndef MT
#define MT                              0                        /* MT may be undefined by simstruc_types.h */
#endif

#include "messagesendSometimes.h"

#define SIZEOF_PARAMS                   (-1 * (int)sizeof(Parameters_messagesendSometimes))

#define SIMMODE                         0

#define LOGTET                          1

#define LOGBUFSIZE                      100000

#define IRQ_NO                          0
#define IO_IRQ                          0

#define WWW_ACCESS_LEVEL                0

#define CPUCLOCK                        0

/* Change all stepsize using the newBaseRateStepSize */
void messagesendSometimes_ChangeStepSize(real_T newBaseRateStepSize,
 rtModel_messagesendSometimes *messagesendSometimes_M) {
  real_T ratio = newBaseRateStepSize / 0.01;

  /* update non-zore stepsize of periodic 
   * sample time. Stepsize of asynchronous
   * sample time is not changed in this function */
  messagesendSometimes_M->Timing.stepSize0 =
    messagesendSometimes_M->Timing.stepSize0 * ratio;
  messagesendSometimes_M->Timing.stepSize =
    messagesendSometimes_M->Timing.stepSize * ratio;
}

void XPCCALLCONV changeStepSize(real_T stepSize) {
  /* Change all stepsize using the newBaseRateStepSize */

  messagesendSometimes_ChangeStepSize(stepSize, messagesendSometimes_M);
}

#endif                                  /* __messagesendSometimes_XPCOPTIONS_H___ */

